pst_desc_tree Struct Reference

`#include <libpst/libpst.h>`

Collaboration diagram for pst_desc_tree:
[legend]

## Data Fields

uint64_t | d_id
uint64_t | parent_d_id
pst_index_ll * | desc
pst_index_ll * | assoc_tree
int32_t | no_child
struct pst_desc_tree * | prev
struct pst_desc_tree * | next
struct pst_desc_tree * | parent
struct pst_desc_tree * | child
struct pst_desc_tree * | child_tail

## Detailed Description

Definition at line 126 of file libpst.h.

## Field Documentation

## assoc_tree

pst_index_ll* pst_desc_tree::assoc_tree

Definition at line 130 of file libpst.h.

## child

struct pst_desc_tree* pst_desc_tree::child

Definition at line 135 of file libpst.h.

## child_tail

struct pst_desc_tree* pst_desc_tree::child_tail

Definition at line 136 of file libpst.h.

## d_id

uint64_t pst_desc_tree::d_id

Definition at line 127 of file libpst.h.

## desc

pst_index_ll* pst_desc_tree::desc

Definition at line 129 of file libpst.h.

## next

struct pst_desc_tree* pst_desc_tree::next

Definition at line 133 of file libpst.h.

## no_child

int32_t pst_desc_tree::no_child

Definition at line 131 of file libpst.h.

## parent

struct pst_desc_tree* pst_desc_tree::parent

Definition at line 134 of file libpst.h.

## parent_d_id

uint64_t pst_desc_tree::parent_d_id

Definition at line 128 of file libpst.h.

## prev

struct pst_desc_tree* pst_desc_tree::prev

Definition at line 132 of file libpst.h.

The documentation for this struct was generated from the following file:

- libpst/libpst.h